import Controll.Controller;
import net.dv8tion.jda.api.AccountType;
import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.JDABuilder;
import net.dv8tion.jda.api.entities.Activity;
import net.dv8tion.jda.api.requests.GatewayIntent;
import net.dv8tion.jda.api.utils.MemberCachePolicy;
import net.dv8tion.jda.api.utils.cache.CacheFlag;
import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author https://www.Hiajen.de
 */
public class MissingIDent {
    /***************************************
     * Usage: Main Function Initialise lissener and Core
     * state: progress
     * @author Ansgar [Hiajen]
     * @param args
     ***************************************/
    public static void main(String[] args) throws Exception {

        Logger logger = LoggerFactory.getLogger(MissingIDent.class);

        logger.info("Bot Started");

        JSONArray configArr = IO.JSON.loadJson("config.json");
        logger.info("Config Loaded");

        JSONObject config = (JSONObject) configArr.get(0);

        logger.info("start init JDA");

        JDA api = JDABuilder
                .createDefault(config.get("TOCKEN").toString())
                .enableIntents(GatewayIntent.GUILD_PRESENCES)
                .setMemberCachePolicy(MemberCachePolicy.ONLINE)
                .enableCache(CacheFlag.ACTIVITY)
                .addEventListeners(new Controller(config))
                .setActivity(Activity.watching("Binaries"))
                .build();
    }
}

/*
    CONFIG FILE:
    * SQLServerUrl
    * SQLDBNname
    * SQLDBparameter
    * SQLDBUser
    * SQLDBPassword
    * TOCKEN

 */